image: ubuntu:jammy

before_script:
  - apt update -qq
  - DEBIAN_FRONTEND=noninteractive apt install -y --no-install-recommends ca-certificates nodejs npm

pages:
  stage: deploy
  script:
    - npm i
    - npm run build
    - cp favicon.ico build/
    - mv build public
    - ls -lah public/
  artifacts:
    paths:
      - public
  #only:
  #  - main
